<?php
$this->setPageTitle(LANG_IBACKUPER_BACKUP . '-' . LANG_IBACKUPER_CONTROLLER);
$this->addBreadcrumb(LANG_IBACKUPER_BACKUP);

$this->addToolButton([
    'class' => 'save',
    'title' => LANG_IBACKUPER_BACKUP,
    'href' => "javascript:icms.forms.submit()"
]);

$this->addToolButton([
    'class' => 'cancel',
    'title' => LANG_CANCEL,
    'href' => $this->href_to('backup')
]);

$this->renderForm($form, [], [
    'action' => '',
    'method' => 'post',
    'submit' => ['title' => LANG_IBACKUPER_BACKUP]
]);

ob_start();
?>
<script>
    $('select').on('change', function () {
        let form = $(this).parents('form');
        let id = $(this).attr('id');
        if (id === 'ctype_id') {
            $('select#iforms_id', form).val('').trigger('chosen:updated');

        } else if (id === 'iforms_id') {
            $('select#ctype_id', form).val('').trigger('chosen:updated');
        }
        $('button[type="submit"]', form).removeClass('is-busy').removeClass('disabled');
    });
</script>
<?php $this->addBottom(ob_get_clean()); ?>