<?php

class formIbackuperBackup extends cmsForm {

    public function init() {

        $fields = [
            'ctypes' => [
                'title' => LANG_CONTENT_TYPE,
                'type' => 'fieldset',
                'childs' => [
                    new fieldList('ctype_id', [
                        'generator' => function ($item) {
                            $items = ['' => ''];
                            $tree = cmsCore::getModel('content')->getContentTypes();
                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }
                            return $items;
                        }
                    ])
                ]
            ]
        ];

        if (cmsCore::isControllerExists('iforms')) {

            $fields['iforms'] = [
                'title' => LANG_IBACKUPER_IFORMS,
                'type' => 'fieldset',
                'childs' => [
                    new fieldList('iforms_id', [
                        'title' => LANG_IBACKUPER_IFORMS_SELECT_FORM,
                        'generator' => function ($item) {
                            $items = ['' => ''];
                            $tree = cmsCore::getModel('iforms')->getForms();
                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }
                            return $items;
                        }
                    ])
                ]
            ];
        }

        return $fields;

    }

}
