<?php

class modelIbackuper extends cmsModel {

    public function getPropsBinds($ctype_name, $category_id = false, $table_prefix = 'con_') {

        $this->selectOnly('p.*');
        $this->select('p.id', 'prop_id');
        $this->select('i.*');

        $this->join($table_prefix . $ctype_name . '_props', 'p', 'p.id = i.prop_id');

        if ($category_id) {
            $this->filterEqual('cat_id', $category_id);
        }

        $this->orderBy('ordering');

        $this->limit(0);

        return $this->get($table_prefix . $ctype_name . '_props_bind', function ($item) {
            $item['options'] = cmsModel::yamlToArray($item['options']);
            return $item;
        });

    }

}
